polybori::TransformedIterator< IteratorType, OperatorType > Class Template Reference

This class defines the iterator of Trnasformed sequence. More...

`#include <TransformedIterator.h>`

Inheritance diagram for polybori::TransformedIterator< IteratorType, OperatorType >:

## Public Types

typedef OperatorType | operator_type
typedef operator_type::result_type | result_type

## Public Member Functions

| TransformedIterator (iterator iter, const operator_type &func)
| Construct from given iterator and unary functional. More...
void | increment ()
| Increment operation. More...
result_type | dereference () const
| Constant dereference operator. More...
bool | equal (const self &rhs) const
| Equality check. More...

## Detailed Description

### template<class IteratorType, class OperatorType>
class polybori::TransformedIterator< IteratorType, OperatorType >

This class defines the iterator of Trnasformed sequence.

It store changes a given iterator by transforming the dereference value using a unary functional.

## Member Typedef Documentation

template<class IteratorType , class OperatorType >

typedef OperatorType polybori::TransformedIterator< IteratorType, OperatorType >::operator_type

template<class IteratorType , class OperatorType >

typedef operator_type::result_type polybori::TransformedIterator< IteratorType, OperatorType >::result_type

## Constructor & Destructor Documentation

template<class IteratorType , class OperatorType >

polybori::TransformedIterator< IteratorType, OperatorType >::TransformedIterator | ( | iterator | iter,
|  | const operator_type & | func
| ) |  |

inline

Construct from given iterator and unary functional.

## Member Function Documentation

template<class IteratorType , class OperatorType >

result_type polybori::TransformedIterator< IteratorType, OperatorType >::dereference | ( | ) |  | const

inline

Constant dereference operator.

template<class IteratorType , class OperatorType >

bool polybori::TransformedIterator< IteratorType, OperatorType >::equal | ( | const self & | rhs) |  | const

inline

Equality check.

template<class IteratorType , class OperatorType >

void polybori::TransformedIterator< IteratorType, OperatorType >::increment | ( | ) |  |

inline

Increment operation.

The documentation for this class was generated from the following file:

- TransformedIterator.h